<?PHP

/* alcune funzioni di utilita` generale */

/* GESTIONE DI URL */

/* ritorna l'url base dello script corrente */
function base_url() {
  return "http://{$_SERVER['HTTP_HOST']}" . dirname($_SERVER['PHP_SELF']);
};


/***************************************/
/* FUNZIONI GENERALI PER PAGINE HTML   */
/***************************************/

/* Funzione per iniziare la pagina. In input il titolo */

function page_start($title) {
  echo "
<HTML>
<HEAD><TITLE>$title</TITLE></HEAD>
<BODY>
<HR />
<H2>$title</H2>
<HR />
";
};

/* Funzione per terminare una pagina */

function page_end() {
  echo "
</BODY>
</HTML>";
};

/* funzione per il sottotitolo */
function subtitle($str) {
  echo "<H3>$str</H3>";
};


/* Funzione per un link, associato ad una URL. */

function hyperlink($str, $url) {
  echo "<A href=\"$url\">$str</A>";
};

/***************************************/
/* FUNZIONI PER LA GESTIONE DI TABELLE */
/***************************************/

/* Funzione per iniziare una tabella html. In input l'array degli
   header delle colonne */
function table_start($row) {
  echo "<TABLE border=\"1\">";
  echo "<TR>";
  foreach ($row as $field) 
    echo "<TH>$field</TH>";
  echo "</TR>";
};
  
/* funzione per stampare un array, come riga di tabella html */
function table_row($row) {
  echo "<TR>";
  foreach ($row as $field) 
    if ($field)
      echo "<TD>$field</TD>";
    else
      echo "<TD>---</TD>";
  echo "</TR>";
};

/* funzione per chiudere una tabella html */
function table_end() {
  echo "</TABLE>";
};


/***************************************/
/* CONNESSIONE AL DATABASE             */
/***************************************/

?>